Search API¶
1 confirmed endpoints — 1 respond with data, 0 require valid input.
Endpoints with Response Data¶
GET /api/v1/search¶
Perform search operation on items
✅ Live — responds with data
Query Parameters:
| Name | Example |
|---|---|
searchString |
* |
includeFolders |
false |
Response keys: total, typeCount, from, totalAcrossPages, count, dateHits, incompleteFolderCount, _embedded
Response Schema:
| Field | Type | Required |
|---|---|---|
_embedded |
object | No |
count |
number | No |
dateHits |
array | No |
from |
number | No |
incompleteFolderCount |
integer | No |
total |
number | No |
Note
mimir-client.ts — search items
Not Found¶
| Method | Path | Code |
|---|---|---|
POST |
/api/v1/search |
404 |
GET |
/api/v1/search/analytics |
404 |
GET |
/api/v1/search/facets |
404 |
GET |
/api/v1/search/suggest |
404 |